1. Setting
Attribuly Developers
  • Public API
    • API Authentication Guide
    • Attribution
      • All
        • Get attribution report
        • Get total numbers
      • Ads
        • Channel/Campaign/Ad-set/Ad level ads attribution
        • list all customer level details
        • Customer level report for a specific campaign
      • Product analytics
        • List product analytics
        • List total data for product analysis
        • Attribution report for a single product
        • Total attribution report for a single product
      • Web Analytics
        • Web Analytics
        • Get total numbers
    • Tracking links
      • Influencer
      • Link Builder
    • Store
      • Raw Events
      • Customer journey of an order
      • Order First & Last Touchpoint of an order
      • Event summary of a landing page
    • Setting
      • Attribution models
        POST
      • Conversion Goals
        POST
    • Connections
      • List Source
      • List Destination
  • Push data to Attribuly
    • Quick Start
    • Events
      • Page viewed
      • Cart viewed
      • Product viewed
      • Collection viewed
      • Search submitted
      • Product added to cart
      • Product removed to cart
      • Lead form
      • Checkout started
      • Payment info submitted
      • Checkout completed
      • Checkout address info submitted
      • Checkout contact info submitted
      • Checkout shipping info submitted
      • Basic
        • Checkout
        • Context
        • Document
        • MailAddress
        • Navigator
        • Window
    • Store
      • Order
      • Customers
      • Products
  • Attribuly MCP Server
    • MCP Configure
  1. Setting

Conversion Goals

prod
https://data.api.attribuly.com
prod
https://data.api.attribuly.com
POST
/{version}/api/get/setting-goals
Manage your conversion goals to track important customer actions.

Request

Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

๐ŸŸข200ๆˆๅŠŸ
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://data.api.attribuly.com/v2-4-2/api/get/setting-goals' \
--header 'ApiKey: 15xvome1000dh5vsow9geg7110yi43zd' \
--header 'Content-Type: application/json' \
--data-raw '{}'
Response Response Example
{
  "code": 1,
  "message": "Service succeed",
  "data": {
    "goals": [
      {
        "name": "Purchase",
        "code": "x4w0tc0elo0co1n9eftdalo100h8dp6k",
        "event_type": "checkout_completed",
        "limit_type": "no",
        "limit_value": [
          "1"
        ],
        "data_source": 1,
        "conversion_num": 0
      },
      {
        "name": "Add to cart",
        "code": "x4w0tc0szc0co1ngbm1iidg3001z2nn1",
        "event_type": "product_added_to_cart",
        "limit_type": "no",
        "limit_value": null,
        "data_source": 1,
        "conversion_num": 0
      }
    ]
  }
}
Modified atย 2026-03-18 15:41:46
Previous
Attribution models
Next
List Source
Built with